package mapper;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import model.Genre;

public class GenreMapper extends DBConnection {
	public static void update(Genre genre) {
		String name = genre.getName();
		Connection connect = null;
		PreparedStatement preparedStatement = null;
		try {
			Class.forName("com.mysql.jdbc.Driver");
			connect = DriverManager.getConnection(mysqlServer);

			preparedStatement = connect
					.prepareStatement("update genres set name=? where name=" + name);
			preparedStatement.setString(1, name);
			preparedStatement.executeUpdate();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			close(null, (Statement) preparedStatement, connect);
		}
	}

	public static void insert(Genre genre) {
		String name = genre.getName();
		Connection connect = null;
		PreparedStatement preparedStatement = null;
		try {
			Class.forName("com.mysql.jdbc.Driver");
			connect = DriverManager.getConnection(mysqlServer);

			preparedStatement = connect
					.prepareStatement("insert into genre(name) values(?)");
			preparedStatement.setString(1, name);
			preparedStatement.executeUpdate();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			close(null, (Statement) preparedStatement, connect);
		}

	}

	public static void delete(Genre genre) {
		String name = genre.getName();
		String query = "delete from genres where name=\"" +name + "\"";
		sendQuery(query);
	}

	public static Genre fetch(int id) throws SQLException { 
		String query = "select * from genres where name=\"" + id +"\"";
		ResultSet resultSet = sendQuery(query);
		if(resultSet.next()){
			String name = resultSet.getString("name");
			return new Genre(name);
		}
		else return null;
	}
}
