package model;

import mapper.ReviewMapper;


public class Review implements DBObject {
	private int gameID;
	private int userID;
	private String review;
	private double rating;
	
	public Review(){
	}
	
	public Review(int gameID, int userID, String review, double rating){
		this.gameID = gameID;
		this.userID = userID;
		this.review = review;
		this.rating = rating;
	}

	public int getGameID() {
		return gameID;
	}



	public void setGameID(int gameID) {
		this.gameID = gameID;
	}



	public int getUserID() {
		return userID;
	}



	public void setUserID(int userID) {
		this.userID = userID;
	}



	public String getReview() {
		return review;
	}



	public void setReview(String review) {
		this.review = review;
	}



	public double getRating() {
		return rating;
	}



	public void setRating(double rating) {
		this.rating = rating;
	}



	@Override
	public void save() {
		if(ReviewMapper.check(this)){
			ReviewMapper.update(this);
		}else ReviewMapper.insert(this);
	}

}
